Loading...
Searching...
No Matches
Opm::DgfVanguard< TypeTag > Class Template Reference

Provides a simulator vanguard which creates a grid by parsing a Dune Grid Format (DGF) file. More...

`#include <dgfvanguard.hh>`

Inheritance diagram for Opm::DgfVanguard< TypeTag >:

## Public Member Functions

| DgfVanguard (Simulator &simulator)
| Load the grid from the file.
Grid & | grid ()
| Returns a reference to the grid.
const Grid & | grid () const
| Returns a reference to the grid.
void | loadBalance ()
| Distributes the grid on all processes of a parallel computation.
FractureMapper & | fractureMapper ()
| Returns the fracture mapper.
const FractureMapper & | fractureMapper () const
| Returns the fracture mapper.
Public Member Functions inherited from Opm::BaseVanguard< TypeTag >
| BaseVanguard (Simulator &simulator)
| BaseVanguard (const BaseVanguard &)=delete
const GridView & | gridView () const
| Returns a reference to the grid view to be used.
int | gridSequenceNumber () const
| Returns the number of times the grid has been changed since its creation.
void | loadBalance ()
| Distribute the grid (and attached data) over all processes.
void | addLgrs ()
| Add LGRs to the grid, if any.

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the DGF simulator vanguard.

## Protected Member Functions

void | addFractures_ (Dune::GridPtr< Grid > &dgfPointer)
Protected Member Functions inherited from Opm::BaseVanguard< TypeTag >
void | finalizeInit_ ()
void | updateGridView_ ()

## Detailed Description

template<class TypeTag>
class Opm::DgfVanguard< TypeTag >

Provides a simulator vanguard which creates a grid by parsing a Dune Grid Format (DGF) file.

## Member Function Documentation

## fractureMapper() [1/2]

template<class TypeTag>

FractureMapper & Opm::DgfVanguard< TypeTag >::fractureMapper | ( |  | ) |

inline

Returns the fracture mapper.

The fracture mapper determines the topology of the fractures.

## fractureMapper() [2/2]

template<class TypeTag>

const FractureMapper & Opm::DgfVanguard< TypeTag >::fractureMapper | ( |  | ) | const

inline

Returns the fracture mapper.

The fracture mapper determines the topology of the fractures.

## loadBalance()

template<class TypeTag>

void Opm::DgfVanguard< TypeTag >::loadBalance | ( |  | ) |

inline

Distributes the grid on all processes of a parallel computation.

This grid manager plays nice and also distributes the data of the DGF...

The documentation for this class was generated from the following file:

- opm/models/io/dgfvanguard.hh